export default (function (projectId, envId, formatMessage) {
  return {
    transport: {
      read: {
        method: 'get'
      }
    },
    events: {
      load: function load(_ref) {
        var dataSet = _ref.dataSet;
        // NOTE: 手动加入所有实例的option选项
        dataSet.create({
          code: formatMessage({
            id: 'all_instance'
          })
        }, 0);
      }
    }
  };
});